Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse JDT Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.jdt.ui.actions
Class ImplementorsSearchGroup

    java.lang.Object
      org.eclipse.ui.actions.ActionGroup
          org.eclipse.jdt.ui.actions.ImplementorsSearchGroup

public class ImplementorsSearchGroup
extends ActionGroup

Action group that adds the search for implementors actions to a context menu and the global menu bar.

This class may be instantiated; it is not intended to be subclassed.

Since:
  2.0

Constructor Summary
`ImplementorsSearchGroup(IWorkbenchSite site)` Creates a new `ImplementorsSearchGroup`.
`ImplementorsSearchGroup(org.eclipse.jdt.internal.ui.javaeditor.JavaEditor editor)` Note: This constructor is for internal use only.

Method Summary
`void` | `dispose()`
`void` | `fillActionBars(IActionBars actionBars)`
`void` | `fillContextMenu(IMenuManager manager)`

Methods inherited from class org.eclipse.ui.actions.ActionGroup
`getContext, setContext, updateActionBars`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ImplementorsSearchGroup

    public ImplementorsSearchGroup(IWorkbenchSite site)

  Creates a new `ImplementorsSearchGroup`. The group requires that the selection provided by the site's selection provider is of type `org.eclipse.jface.viewers.IStructuredSelection`.

Parameters:
  `site` - the view part that owns this action group

### ImplementorsSearchGroup

    public ImplementorsSearchGroup(org.eclipse.jdt.internal.ui.javaeditor.JavaEditor editor)

  Note: This constructor is for internal use only. Clients should not call this constructor.

Method Detail

### fillContextMenu

    public void fillContextMenu(IMenuManager manager)

### fillActionBars

    public void fillActionBars(IActionBars actionBars)

### dispose

    public void dispose()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse JDT Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (c) IBM Corp. and others 2000, 2004. All Rights Reserved.